# $Revision: 1.14.2.1 $, $Date: 2007/02/19 21:23:57 $
# TODO
# - memcached has -P option for pid, but root privs are dropped before
#   pid is written, so either run memcached as new uid or hack code to
#   write pidfile before changing uid, as rc-script removes pid on
#   shutdown anyway.
Summary:	A high-performance, distributed memory object caching system
Summary(pl):	Rozproszony, wysokiej wydajnoci system cache'owania obiektw
Name:		memcached
Version:	1.2.1
Release:	1
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.danga.com/memcached/dist/%{name}-%{version}.tar.gz
# Source0-md5:	6ff64fb974d131fdb7f9d5fdf955dc9a
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://www.danga.com/memcached/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libevent-devel >= 1.1
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A high-performance, distributed memory object caching system.

%description -l pl
Rozproszony, wysokiej wydajnoci system cache'owania obiektw.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1}

install memcached $RPM_BUILD_ROOT%{_sbindir}
install doc/memcached.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO doc/*.txt
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man1/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: memcached.spec,v $
Revision 1.14.2.1  2007/02/19 21:23:57  glen
- HEAD merge: update to 1.2.1

Revision 1.14  2006/10/19 10:29:59  glen
- rel 4

Revision 1.13  2006/08/21 20:51:21  glen
- rebuild with libevent

Revision 1.12  2006/04/20 16:33:35  glen
- fix chkconfig deps

Revision 1.11  2006/02/06 11:01:20  blues
- pl-only: robimy wysokiej wydajnoci cache obiektw, a nie cache
  obiektw wysokiej wydajnoci... troch zmienia to sens.

Revision 1.10  2006/02/05 21:24:16  glen
- rel 2: updated initscript (more still todo), but STBR

Revision 1.9  2006/02/03 23:00:30  glen
- macros for %service

Revision 1.8  2006/02/03 22:53:21  arekm
- rel 1; add init scripts

Revision 1.7  2005/06/22 14:03:42  glen
- fix license (BSD)

Revision 1.6  2005/06/22 14:02:02  glen
- really move to sbin

Revision 1.5  2005/06/22 14:00:01  glen
- daemon moved to sbindir

Revision 1.4  2005/05/01 09:01:49  glen
- 1.1.12

Revision 1.3  2005/04/06 13:52:26  malekith
- pl fix (?)

Revision 1.2  2005/04/04 20:04:43  darekr
- BR: autoconf

Revision 1.1  2005/04/04 19:24:56  malekith
- new
